Get stack versions

Base URL
https://api.elastic-cloud.com/api/v1
  • GET /stack/versions
No auth

By default, retrieves only the available Elastic Stack versions. To retrieve all of the Elastic Stack versions, use the show_deleted parameter.

Query parameters

show_deleted boolean · default: false

Whether to show deleted stack versions or not

show_unusable boolean · default: false

Whether to show versions that are unusable by the authenticated user

Response

The list of all available Elastic Stack versions are retrieved, including the template version and structure.

application/json
stacks object[] required
version string

Stack version

template object required

The template information for an Elastic Stack version.

template_version string

Template version

elasticsearch object required

The Elasticsearch configuration for an Elastic Stack version.

docker_image string required

Docker image for the Elasticsearch

plugins string[] required

List of available plugins

default_plugins string[] required

List of default plugins

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

compatible_node_types string[]

Node types that are compatible with this one

kibana object required

The Kibana configuration for an Elastic Stack version.

version string

Version of Kibana

docker_image string required

Docker image for the kibana

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

compatible_node_types string[]

Node types that are compatible with this one

deleted boolean

Identifies that the Elastic Stack version is marked for deletion

upgradable_to string[] required

Stack Versions that this version can upgrade to

min_upgradable_from string

The minimum version recommended to upgrade this version.

whitelisted boolean

Whether or not this version is whitelisted. This is only relevant in EC (SaaS) and is not sent in ECE.

accessible boolean

Whether or not this version is accessible by the calling user. This is only relevant in EC (SaaS) and is not sent in ECE.

rolling_upgrade_compatible_versions string[]

List of versions that can be upgraded to the current version of the stackpack

Base URL
https://api.elastic-cloud.com/api/v1